Bug 125879 - UDF filesystem broken for some DVDs
Summary: UDF filesystem broken for some DVDs
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-13 04:43 UTC by John Sheahan
Modified: 2015-01-04 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:53:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Sheahan 2004-06-13 04:43:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040608 Firefox/0.8.0+

Description of problem:
I have some DVD's purchased from an English 
audio book supplier. These show up as broken files 
after mounting with ls
ls on /mnt/cdrom returns a bunch of "file not found"s

I can reproduce the bug under fc1 with kernels 2.6.5 and 2.6.6.
2.6.7-rc1-mm1 fixes the problem.
Using the 2.6.2 udf tree  in 2.6.6 fixes the problem
2.4 was ok on the same hardware.



Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. mount any of the particular DVDs
2. ls /mn/cdrom
3.
    

Actual Results:  file not found
-- repeated for each file name

Expected Results:  what ls does in other versions!

Additional info:


also a bug in vanilla 2.6.5, 2.6.6

Comment 1 Miguel Quiros 2004-06-14 07:40:55 UTC
I think I have the same problem. I have filed a bug in the kernel
bugzilla:

http://bugzilla.kernel.org/show_bug.cgi?id=2872

Comment 2 Dave Jones 2005-04-16 05:53:46 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.